Bug 475524 - system-config-samba: incorrect default DBUS configuration
system-config-samba: incorrect default DBUS configuration
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
10
All Linux
high Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 11:05 EST by Tomas Hoger
Modified: 2008-12-13 09:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-13 09:59:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Policy fix (725 bytes, patch)
2008-12-09 11:06 EST, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2008-12-09 11:05:51 EST
Recent fix of the DBUS default policy for system bus:
  https://bugs.freedesktop.org/show_bug.cgi?id=18229
  https://bugzilla.redhat.com/show_bug.cgi?id=469151

seems to uncover a bug in the system-config-samba's default DBUS policy.  The
policy allows anyone to send messages to the org.fedoraproject.Config.Samba
interface.  However, few more interfaces are implemented and required by
s-c-samba: .Backend, .UserData.

Originally reported here:
  https://bugzilla.redhat.com/show_bug.cgi?id=475200#c6
Comment 1 Tomas Hoger 2008-12-09 11:06:55 EST
Created attachment 326341 [details]
Policy fix

Similar to s-c-services fix.
Comment 2 Fedora Update System 2008-12-11 02:58:29 EST
system-config-samba-1.2.67-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-samba'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11121
Comment 3 Fedora Update System 2008-12-13 09:59:22 EST
system-config-samba-1.2.67-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.